﻿/* Match the background color of the tab panels to the tabbar */

.mud-tabs-panels {
    background-color: var(--mud-palette-surface);
}

/* Left-justified vertical tabs */

.mud-tabs-panels.mud-tabs-vertical {
    display: block !important;
}

/* Animates the backdrop blur when a new dialog appears */

.mud-appbar,
.backdrop-blur {
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
}

/* Animates the backdrop blur when a new dialog appears */

.mud-table,
.mud-grid,
.mud-tabs,
.animated-fade-in {
    animation: fade-in 300ms ease-in forwards; /* Important */
    -webkit-animation: fade-in 300ms ease-in forwards; /* Important */
    animation-delay: 0ms;
}

@keyframes fade-in {
    from {
        filter: opacity(0);
        -webkit-filter: opacity(0);
    }

    to {
        filter: opacity(100%);
        -webkit-filter: opacity(100%);
    }
}

/* Hide the vertical scrollbar during dialogs
.mud-dialog .mud-dialog-content {
    overflow-y: hidden;
}
     */
/* Custom styles for the auto-complete search bar */
.docs-search-bar .mud-input {
    height: 42px;
    background-color: transparent;
}

.docs-search-bar.mud-input-control {
    background-color: rgba(255,255,255,.15);
    margin-bottom: 5px;
    height: 42px;
    border-radius: var(--mud-default-borderradius);
}

    .docs-search-bar.mud-input-control .mud-input-root, .docs-search-bar.mud-input-control .mud-icon-default {
        color: #fafafa;
    }

.docs-search-bar .mud-input.mud-input-outlined .mud-input-outlined-border {
    border: none;
    border-radius: var(--mud-default-borderradius);
}

/* Disable footers for print previews */

@media print {
    @page {
        margin-top: 0;
        margin-bottom: 0;
    }
}

.pointer {
    cursor: pointer;
}
